GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Fields
grpc_server Struct Reference

## Data Fields
size_t | channel_filter_count
const grpc_channel_filter ** | channel_filters
grpc_channel_args * | channel_args
grpc_completion_queue ** | cqs
grpc_pollset ** | pollsets
size_t | cq_count
gpr_mu | mu_global
gpr_mu | mu_call
registered_method * | registered_methods
request_matcher | unregistered_request_matcher
gpr_stack_lockfree * | request_freelist
| free list of available requested_calls indices More...
requested_call * | requested_calls
| requested call backing data More...
int | max_requested_calls
gpr_atm | shutdown_flag
gpr_uint8 | shutdown_published
size_t | num_shutdown_tags
shutdown_tag * | shutdown_tags
channel_data | root_channel_data
listener * | listeners
int | listeners_destroyed
gpr_refcount | internal_refcount
gpr_timespec | last_shutdown_message_time
| when did we print the last shutdown progress message More...

## Field Documentation

grpc_channel_args* grpc_server::channel_args

size_t grpc_server::channel_filter_count

const grpc_channel_filter** grpc_server::channel_filters

size_t grpc_server::cq_count

grpc_completion_queue** grpc_server::cqs

gpr_refcount grpc_server::internal_refcount

gpr_timespec grpc_server::last_shutdown_message_time

when did we print the last shutdown progress message

listener* grpc_server::listeners

int grpc_server::listeners_destroyed

int grpc_server::max_requested_calls

gpr_mu grpc_server::mu_call

gpr_mu grpc_server::mu_global

size_t grpc_server::num_shutdown_tags

grpc_pollset** grpc_server::pollsets

registered_method* grpc_server::registered_methods

gpr_stack_lockfree* grpc_server::request_freelist

free list of available requested_calls indices

requested_call* grpc_server::requested_calls

requested call backing data

channel_data grpc_server::root_channel_data

gpr_atm grpc_server::shutdown_flag

gpr_uint8 grpc_server::shutdown_published

shutdown_tag* grpc_server::shutdown_tags

request_matcher grpc_server::unregistered_request_matcher

The documentation for this struct was generated from the following file:

- src/core/surface/server.c